Subject: Re: bug#25706: 26.0.50; Slow C file fontification
From: Alan Mackenzie <[email-masked]>
To: Ravine Var <[email-masked]>
Cc: Mattias Engdegård <[email-masked]>, Lars Ingebrigtsen <[email-masked]>, [email-masked]
Date: Tue, 15 Dec 2020 12:27:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Ravine.

On Tue, Dec 15, 2020 at 09:31:01 +0530, Ravine Var wrote:
> > So, I propose that these two patches (the big one and the smaller
> > one for all the c-forward-syntactic-ws's) are sufficient to fix the
> > bug, and I propose closing it now.  What do you say to that?

> Works for me. Thanks for the patches. :-)

Thank you for all the testing!  I've committed the changes to everywhere
relevant, and I'm closing the bug with this post.

> > I have looked at the other problem you mention (slow scrolling
> > through the machine-generated function proto_register_rrc in the
> > wireshark file packet-rrc.c) and have made significant progress
> > towards implementing a cache for the CC Mode function
> > c-looking-at-or-maybe-in-bracelist, which should eliminate the long
> > delays.  Have you raised a new bug for this problem, yet?

> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=45248

Thank you for this new bug report.  I'll carry on trying to fix it.

-- 
Alan Mackenzie (Nuremberg, Germany).